跳到主要内容

主要股东持股

数据集标识:stock.major_shareholders;证券对象标识示例:XSHE:000001

前十大股东和前十大流通股东的报告期持股。

接口​

用途方法与路径
查询数据POST /v1/datasets/stock.major_shareholders/query
契约与当前发布GET /v1/datasets/stock.major_shareholders
准备批量快照POST /v1/datasets/stock.major_shareholders/preparations

请求参数​

可在请求体 where 中作为 field 使用的筛选参数,名称保持契约原名。

参数名类型必填说明
asset_idstring否筛选一个或多个标的标识(<场所码>:<代码>)。
security_codestring否筛选一个或多个证券代码。
marketstring否市场代码;中文客户端默认 CN。
start_datedate否查询开始日期,包含该日。
end_datedate否查询结束日期,包含该日。

返回字段​

列名保持契约原名,可直接用于 select、where 与结果行。

字段名中文名称类型可空说明
asset_id标的标识string否与市场无关的标的标识,格式为 <场所码>:<代码>,场所码为 ISO 10383 MIC,例如 XSHE:000001。
security_code证券代码string否展示别名:带市场后缀的证券代码,例如 000001.SZ;由 asset_id 换算,不作业务键。
market市场string否标的挂牌场所所在的市场,ISO 3166-1 alpha-2 代码,例如 CN;由 asset_id 的场所导出。
announcement_date公告日期date是公告日期
reporting_period_end报告期date否财务报告或持仓报告覆盖期间的结束日期。
holder_name股东名称string是股东名称
hold_amount持有数量decimal是持有数量(股)
hold_ratio占总股本比例decimal是占总股本比例(%)
hold_float_ratio占流通股本比例decimal是占流通股本比例(%)
hold_change持股变动decimal是持股变动(0表示不变,空值表示 新进)
holder_type股东类型string是股东类型
holding_scope持股口径string否all 按总股本统计,float 按流通股本统计。

字段补充属性​

括号中是契约描述(GET /v1/datasets/{datasetId} 的 fields)里的键名。

字段名属性
hold_amount精度(precision):38;小数位数(scale):18
hold_ratio精度(precision):38;小数位数(scale):18
hold_float_ratio精度(precision):38;小数位数(scale):18
hold_change精度(precision):38;小数位数(scale):18
holding_scope枚举(allowedValues):["all", "float"]

请求示例​

向 https://api.<环境域名>/v1/datasets/stock.major_shareholders/query 发送 POST 请求(服务地址的替换方式见快速开始),请求头为 Authorization: Bearer <API_KEY> 与 Content-Type: application/json,请求体如下:

{
"select": [
"asset_id",
"security_code",
"announcement_date",
"reporting_period_end",
"holder_name",
"hold_amount",
"hold_ratio",
"hold_float_ratio",
"hold_change"
],
"where": [
{
"field": "asset_id",
"op": "eq",
"value": "XSHE:000001"
},
{
"field": "market",
"op": "eq",
"value": "CN"
},
{
"field": "reporting_period_end",
"op": "gte",
"value": "2026-06-30"
},
{
"field": "reporting_period_end",
"op": "lte",
"value": "2026-06-30"
}
],
"page": {
"limit": 1000,
"cursor": null
}
}

响应示例​

实际结果随数据更新而变化;data 为空数组表示请求范围内没有可返回的记录。

{
"datasetId": "stock.major_shareholders",
"fields": [
"asset_id",
"security_code",
"announcement_date",
"reporting_period_end",
"holder_name",
"hold_amount",
"hold_ratio",
"hold_float_ratio",
"hold_change"
],
"data": [
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "440478714.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.022698000000000000",
"holder_name": "中国平安人寿保险股份有限公司-传统-普通保险产品",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "1186100488.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.061121000000000000",
"holder_name": "中国平安人寿保险股份有限公司-自有资金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "9618540236.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.495650000000000000",
"holder_name": "中国平安保险(集团)股份有限公司-集团本级-自有资金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "82870993.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.004270000000000000",
"holder_name": "中国建设银行股份有限公司-华泰柏瑞中证红利低波动交易型开放式指数证券投资基金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "62523366.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.003222000000000000",
"holder_name": "深圳中电投资有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "74920000.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.003861000000000000",
"holder_name": "深圳市博睿财智控股有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "115800000.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.005967000000000000",
"holder_name": "深圳市恩情投资发展有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "70109910.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.003613000000000000",
"holder_name": "瑞众人寿保险有限责任公司-万能产品",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "87334148.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.004500000000000000",
"holder_name": "瑞众人寿保险有限责任公司-自有资金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "736878410.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.037972000000000000",
"holder_name": "香港中央结算有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "440478714.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.022698000000000000",
"holder_name": "中国平安人寿保险股份有限公司-传统-普通保险产品",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "1186100488.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.061121000000000000",
"holder_name": "中国平安人寿保险股份有限公司-自有资金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "9618540236.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.495650000000000000",
"holder_name": "中国平安保险(集团)股份有限公司-集团本级-自有资金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "82870993.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.004270000000000000",
"holder_name": "中国建设银行股份有限公司-华泰柏瑞中证红利低波动交易型开放式指数证券投资基金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "62523366.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.003222000000000000",
"holder_name": "深圳中电投资有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "74920000.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.003861000000000000",
"holder_name": "深圳市博睿财智控股有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "115800000.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.005967000000000000",
"holder_name": "深圳市恩情投资发展有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "70109910.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.003613000000000000",
"holder_name": "瑞众人寿保险有限责任公司-万能产品",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "87334148.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.004500000000000000",
"holder_name": "瑞众人寿保险有限责任公司-自有资金",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
},
{
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"hold_amount": "736878410.000000000000000000",
"hold_change": null,
"hold_float_ratio": null,
"hold_ratio": "0.037972000000000000",
"holder_name": "香港中央结算有限公司",
"reporting_period_end": "2026-06-30",
"security_code": "000001.SZ"
}
],
"page": {
"nextCursor": null,
"complete": true
}
}